- entityDefinitions:
  - IDM_User__is__Logged_In: '{df450ba6-1624-4099-b961-99c1d1053316}'
  - IDMB_User__is__Logged_In: '{5e9cf245-0d9a-4391-9b8f-6131ee0add22}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_User__is__Logged_In;'
    forClassId: '&IDC_User;'
    verb: 'is'
    name: 'Logged In'
    static: yes
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_UserIsLoggedIn;'
    source: '&IDMB_User__get__Current_User;'
    operator: '&IDI_RelationalOperator_NotEmpty;'

  - returnAttributeMethodBinding: '&IDMB_User__is__Logged_In;'
    executesMethod: '&IDM_User__is__Logged_In;'
